Cerchi la vecchia piattaforma Konfiwear?Clicca qui per registrarti a Legacy Konfiwear
KonfiwearKonfiwear
  • Prezzi
Web-to-Print3D Clothing ConfiguratorDirect-to-GarmentMockup abbigliamento
Print-on-DemandPromotionalSportwearPackaging
Prezzi
FunzionalitàBlogDocumentazioneRiferimento APIChangelogLegacy Konfiwear
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
Newsletter

Scopri le ultime funzionalità, miglioramenti e aggiornamenti di Konfiwear

Sii il primo a esplorare nuove funzionalità, miglioramenti delle prestazioni e strumenti pensati per elevare il tuo flusso di lavoro.

Puoi annullare l'iscrizione in qualsiasi momento. Consulta la nostra informativa sulla privacy per sapere come gestiamo i tuoi dati.

KonfiwearKonfiwear

Potenziamo il tuo business di abbigliamento personalizzato con strumenti di design 3D avanzati e integrazioni senza interruzioni.

Market & Industry
  • Print-on-Demand
  • Promotional
  • Sportwear
  • Packaging
Soluzioni
  • Web-to-Print
  • 3D Clothing Configurator
  • Direct-to-Garment
  • Mockup abbigliamento
Risorse
  • Funzionalità
  • Blog
  • Documentazione
  • Riferimento API
  • Changelog
Azienda
  • Contatti
  • Press kit

© Copyright 2026 Konfiwear V2. Tutti i diritti riservati.

Informativa sulla privacyTermini di servizioCookie policy

Authentication

Every request to the Konfiwear API requires an API key. Keys are scoped to a single workspace and can be restricted to specific resources and access levels.

1. Generate an API Key

Navigate to Settings → API Keys in your workspace dashboard. Click Create API Key, choose a name, select the resource scopes you need, and set an optional expiration.

The full API key is shown exactly once at creation time. Copy it immediately and store it in a secure location (for example an environment variable or secrets manager).

Format: kfw_live_************************************

2. Authenticate Requests

Include your API key in the X-Api-Key header on every request. No other authentication headers are needed.

Base URL: https://api.konfiwear.com/api/v1
curl
curl -X GET 'https://api.konfiwear.com/api/v1/products' \
  -H 'X-Api-Key: kfw_live_your_key_here'
JavaScript
const response = await fetch('https://api.konfiwear.com/api/v1/products', {
  headers: {
    'X-Api-Key': process.env.KONFIWEAR_API_KEY,
  },
});

const { data, pagination } = await response.json();
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling

Authentication

Every request to the Konfiwear API requires an API key. Keys are scoped to a single workspace and can be restricted to specific resources and access levels.

1. Generate an API Key

Navigate to Settings → API Keys in your workspace dashboard. Click Create API Key, choose a name, select the resource scopes you need, and set an optional expiration.

The full API key is shown exactly once at creation time. Copy it immediately and store it in a secure location (for example an environment variable or secrets manager).

Format: kfw_live_************************************

2. Authenticate Requests

Include your API key in the X-Api-Key header on every request. No other authentication headers are needed.

Base URL: https://api.konfiwear.com/api/v1
curl
curl -X GET 'https://api.konfiwear.com/api/v1/products' \
  -H 'X-Api-Key: kfw_live_your_key_here'
JavaScript
const response = await fetch('https://api.konfiwear.com/api/v1/products', {
  headers: {
    'X-Api-Key': process.env.KONFIWEAR_API_KEY,
  },
});

const { data, pagination } = await response.json();